/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.diagram;

/**
 * 图项接口，Node、Edge等的抽象接口
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface Item extends Identity
{

  /**
   * 获取文本标签
   *
   * @return 文本标签
   */
  String getLabel();

  /**
   * 设置文本标签
   *
   * @param label 文本标签
   */
  void setLabel(String label);

  /**
   * 获取图形类型
   *
   * @return 图形类型
   */
  String getShape();

  /**
   * 设置图形类型
   *
   * @param shape 图形类型
   */
  void setShape(String shape);
}
